package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouImageGet;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 快手-获取图片接口
 * @Author: jeecg-boot
 * @Date: 2019-07-25
 * @Version: V1.0
 */
public interface KuaiShouImageGetMapper extends BaseMapper<KuaiShouImageGet> {

    void replaceBatch(@Param(value = "images") List<KuaiShouImageGet> imagesGets);

    String getUrlByCode(String signature);

    String getCutFrameUrlByCode(String signature);

    List<KuaiShouImageGet> getUrlByImageTokens(@Param(value = "accountId") Long accountId, @Param(value = "imageTokens") JSONArray imageTokens);
}
